- updated to 5.45.0
[packages/kf5-kcmutils.git] / kf5-kcmutils.spec
CommitLineData
17d42754 1%define kdeframever 5.45
2f229c0d
AM
2%define qtver 5.3.2
3%define kfname kcmutils
0974ebbe
WF
4
5Summary: Utilities for KDE System Settings modules
2f229c0d 6Name: kf5-%{kfname}
17d42754
WF
7Version: 5.45.0
8Release: 1
0974ebbe
WF
9License: LGPL v2.1+
10Group: X11/Libraries
2f229c0d 11Source0: http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
17d42754 12# Source0-md5: 5d2fa3bc71e4dbdf2a32e3b5f485bd02
0974ebbe 13URL: http://www.kde.org/
2f229c0d
AM
14BuildRequires: Qt5Core-devel >= %{qtver}
15BuildRequires: Qt5DBus-devel >= %{qtver}
16BuildRequires: Qt5Gui-devel >= %{qtver}
17BuildRequires: Qt5Test-devel >= %{qtver}
18BuildRequires: Qt5Widgets-devel >= %{qtver}
19BuildRequires: Qt5Xml-devel >= %{qtver}
0974ebbe
WF
20BuildRequires: cmake >= 2.8.12
21BuildRequires: gettext-devel
22BuildRequires: kf5-attica-devel >= %{version}
2f229c0d 23BuildRequires: kf5-extra-cmake-modules >= 1.4.0
0974ebbe
WF
24BuildRequires: kf5-kauth-devel >= %{version}
25BuildRequires: kf5-kcodecs-devel >= %{version}
26BuildRequires: kf5-kcompletion-devel >= %{version}
27BuildRequires: kf5-kconfig-devel >= %{version}
28BuildRequires: kf5-kconfigwidgets-devel >= %{version}
29BuildRequires: kf5-kcoreaddons-devel >= %{version}
30BuildRequires: kf5-kdbusaddons-devel >= %{version}
f8d5a53c 31BuildRequires: kf5-kdeclarative-devel >= %{version}
0974ebbe
WF
32BuildRequires: kf5-kglobalaccel-devel >= %{version}
33BuildRequires: kf5-kguiaddons-devel >= %{version}
34BuildRequires: kf5-ki18n-devel >= %{version}
35BuildRequires: kf5-kiconthemes-devel >= %{version}
36BuildRequires: kf5-kitemviews-devel >= %{version}
37BuildRequires: kf5-kservice-devel >= %{version}
38BuildRequires: kf5-ktextwidgets-devel >= %{version}
39BuildRequires: kf5-kwidgetsaddons-devel >= %{version}
40BuildRequires: kf5-kwindowsystem-devel >= %{version}
41BuildRequires: kf5-kxmlgui-devel >= %{version}
42BuildRequires: kf5-sonnet-devel >= %{version}
43BuildRequires: rpmbuild(macros) >= 1.164
44BuildRequires: tar >= 1:1.22
45BuildRequires: xz
14ae7708 46Requires: kf5-dirs
0974ebbe
WF
47BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
48
49%define qt5dir %{_libdir}/qt5
50
51%description
52KCMUtils provides various classes to work with KCModules. KCModules
53can be created with the KConfigWidgets framework.
54
55%package devel
2f229c0d
AM
56Summary: Header files for %{kfname} development
57Summary(pl.UTF-8): Pliki nagłówkowe dla programistów używających %{kfname}
0974ebbe
WF
58Group: X11/Development/Libraries
59Requires: %{name} = %{version}-%{release}
5bb058f8 60Requires: kf5-kconfigwidgets-devel >= %{version}
0974ebbe
WF
61
62%description devel
2f229c0d 63Header files for %{kfname} development.
0974ebbe
WF
64
65%description devel -l pl.UTF-8
2f229c0d 66Pliki nagłówkowe dla programistów używających %{kfname}.
0974ebbe
WF
67
68%prep
2f229c0d 69%setup -q -n %{kfname}-%{version}
0974ebbe
WF
70
71%build
72install -d build
73cd build
74%cmake \
2f229c0d 75 -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
0974ebbe
WF
76 ../
77%{__make}
78
79%install
80rm -rf $RPM_BUILD_ROOT
81
82%{__make} -C build/ install \
83 DESTDIR=$RPM_BUILD_ROOT
84
2f229c0d 85%find_lang %{kfname}5
0974ebbe
WF
86
87%clean
88rm -rf $RPM_BUILD_ROOT
89
90%post -p /sbin/ldconfig
91%postun -p /sbin/ldconfig
92
2f229c0d 93%files -f %{kfname}5.lang
0974ebbe
WF
94%defattr(644,root,root,755)
95%doc README.md
96%attr(755,root,root) %ghost %{_libdir}/libKF5KCMUtils.so.5
4d814d03 97%attr(755,root,root) %{_libdir}/libKF5KCMUtils.so.*.*
0974ebbe
WF
98%{_datadir}/kservicetypes5/kcmodule.desktop
99%{_datadir}/kservicetypes5/kcmoduleinit.desktop
100
101%files devel
102%defattr(644,root,root,755)
103%{_includedir}/KF5/KCMUtils
104%{_includedir}/KF5/kcmutils_version.h
105%{_libdir}/cmake/KF5KCMUtils
106%attr(755,root,root) %{_libdir}/libKF5KCMUtils.so
107%{qt5dir}/mkspecs/modules/qt_KCMUtils.pri
This page took 0.378589 seconds and 4 git commands to generate.